/*******************************************************************************
 *
 *                 progname
 *
 *******************************************************************************
 *
 *  File         : init_avs.c
 *
 *  Type         : AVS Interface
 * 
 *  Purpose      : Initialize modules
 *
 *******************************************************************************
 *
 *  Author       : Markus Naef
 *
 *  started      :  3-May-94
 *  last change  :  5-May-94
 *
 *******************************************************************************/

#include <avs/avs.h>
#include <avs/field.h>
#include <avs/geom.h>
#include <avs/colormap.h>

extern int Sy_AvsSkelView_desc();
extern int Sy_AvsCtran_desc();
extern int Sy_AvsVoro_desc();
extern int Sy_AvsPrune_desc();
extern int Sy_AvsDrawIpo_desc();
extern int Sy_AvsDrawVoronoi_desc();
extern int Sy_AvsDrawSkeleton_desc();

static int ((*mod_list[])()) = {
  Sy_AvsSkelView_desc,	
  Sy_AvsCtran_desc,
  Sy_AvsVoro_desc,
  Sy_AvsPrune_desc,
  Sy_AvsDrawIpo_desc,
  Sy_AvsDrawVoronoi_desc,
  Sy_AvsDrawSkeleton_desc
};

#define NMODS (sizeof(mod_list) / sizeof(char *))

void AVSinit_modules (void)
{
	AVSinit_from_module_list(mod_list, NMODS);
}

