/*
 *  $Id$
 * 
 *  Author: Robert L. Ogniewicz, Swiss Federal Institute of Technology ETH
 *          Zurich, Switzerland (rlo@vision.ethz.ch)
 */

/* Copyright Notice
 * ================
 * Copyright (C) 1993 by Robert L. Ogniewicz
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  
 */

/*
 * AVS Rendering Parameters
 *
 */

static char geom_Id[] = "%W%\t%G%";

#include <avs/avs.h>
#include <avs/avs_data.h>
#include <avs/geom.h>
#include <avs/flow.h>

#include "Sy_Avs.h"

enum SyRenderMethod  _sy_avs_render_method    = POLYLINE; 
enum SyTriangleDecor _sy_avs_triangle_decor   = CONSTANT;
float              _sy_avs_triangle_height  = 2.0;
float              _sy_avs_value_limit      = 500.0;
enum SyDataFocus     _sy_avs_data_focus       = FOREGROUND;
enum SyColorMode     _sy_avs_color_mode       = COARSE_COL;

void Sy_AvsSetSyRenderMethod (enum SyRenderMethod rm)
{
  _sy_avs_render_method = rm;
}

void Sy_AvsSetTriangleDecor (enum SyTriangleDecor td)
{
  _sy_avs_triangle_decor = td;   
}

void Sy_AvsSetTriangleHeight (float heigth)
{
  _sy_avs_triangle_height = heigth;
}

void Sy_AvsSetValueLimit (float maxval)
{
  _sy_avs_value_limit = maxval;
}

void Sy_AvsSetSyDataFocus (enum SyDataFocus focus)
{
  _sy_avs_data_focus = focus;
}

void Sy_AvsSetSyColorMode (enum SyColorMode mode)
{
  _sy_avs_color_mode = mode;
}
