/*
 *  $Id$
 * 
 *  Author: Robert L. Ogniewicz, Swiss Federal Institute of Technology ETH
 *          Zurich, Switzerland (rlo@vision.ethz.ch)
 */

/* Copyright Notice
 * ================
 * Copyright (C) 1993 by Robert L. Ogniewicz
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  
 */

#ifndef _SY_LOWUTILS_H
#define _SY_LOWUTILS_H 1

#ifdef  __cplusplus
extern "C" {
#endif

#ifdef __STDC__
#define SY_VOID void
#else
#define SY_VOID char
#endif

void panic (char *str,...);
char *__fp_name (FILE * fp);
void ck_fprintf(FILE *stream, char *str, ...)
FILE *ck_fopen (char *name, char *mode);
void ck_fwrite (char *ptr, int size, int nmemb, FILE * stream);
void ck_fclose (FILE * stream);
SY_VOID *ck_malloc (int size);
SY_VOID *xmalloc(int size);
SY_VOID *ck_realloc (SY_VOID * ptr, int size);
char *ck_strdup (char *str);
SY_VOID *init_buffer (void);
void flush_buffer (SY_VOID * bb);
int size_buffer (SY_VOID * b);
void add_buffer (SY_VOID * bb, char *p, int n);
void add1_buffer (SY_VOID * bb, int ch);
char *get_buffer (SY_VOID * bb);

#ifdef  __cplusplus
}
#endif

#endif /* _SY_LOWUTILS_H */
