 /*
  * Khoros: $Id$
  */

 /*
  * $Log$
  */

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1992, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as to the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including, for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1992 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: prune.h
 >>>>            Author: 
 >>>> Date Last Updated: Tue May 17 15:30:12 1994
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _prune_h_
#define _prune_h_

#include "vinclude.h"


/* -include_includes */
#include <stdio.h>
#include <math.h>
#include "Sy_Skeleton.h"
#include "Sy_Graphics.h"
#include "Sy_DrawKhoros.h"
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program;	/* a pointer to the program name argv[0] */
int	ac;

/****************************************************************
*
*                    prune Argument Structure
*
****************************************************************/

typedef struct _prune  {

/*
 *  input file with Voronoi diagram (Required infile)
 */
char	*i2_file;	/* input file with Voronoi diagram FILENAME */
int	 i2_flag;	/* input file with Voronoi diagram FLAG */

/*
 *  input image or file (Optional infile)
 */
char	*i1_file;	/* input image or file FILENAME */
int	 i1_flag;	/* input image or file FLAG */

/*
 *  resulting output image or file (Optional outfile)
 */
char	*o1_file;	/* resulting output image or file FILENAME */
int	 o1_flag;	/* resulting output image or file FLAG */

/*
 *  resulting output skeleton file (Optional outfile)
 */
char	*o2_file;	/* resulting output skeleton file FILENAME */
int	 o2_flag;	/* resulting output skeleton file FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 timer_logic;	/* selects one or zero LOGIC */
int	 timer_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 verbose_logic;	/* selects one or zero LOGIC */
int	 verbose_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 ascii_logic;	/* selects one or zero LOGIC */
int	 ascii_flag;  	/* selects one or zero FLAG */

/*
 *  Circularity Residual (Optional logical)
 */
int	 circ_logic;	/* Circularity Residual LOGIC */
int	 circ_flag;  	/* Circularity Residual FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 bicirc_logic;	/* selects one or zero LOGIC */
int	 bicirc_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 chord_logic;	/* selects one or zero LOGIC */
int	 chord_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 pot_logic;	/* selects one or zero LOGIC */
int	 pot_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 smpot_logic;	/* selects one or zero LOGIC */
int	 smpot_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 smchord_logic;	/* selects one or zero LOGIC */
int	 smchord_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 smooth_logic;	/* selects one or zero LOGIC */
int	 smooth_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 bdtrans_logic;	/* selects one or zero LOGIC */
int	 bdtrans_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 split_logic;	/* selects one or zero LOGIC */
int	 split_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 automatic_logic;	/* selects one or zero LOGIC */
int	 automatic_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 bg_logic;	/* selects one or zero LOGIC */
int	 bg_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 fg_logic;	/* selects one or zero LOGIC */
int	 fg_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 pyramid_logic;	/* selects one or zero LOGIC */
int	 pyramid_flag;  	/* selects one or zero FLAG */

/*
 *  the value of integer (Optional integer)
 */
int	 trigger_int; 	/* the value of integer INT */
int	 trigger_flag;	/* the value of integer FLAG */

/*
 *  the value of integer (Optional integer)
 */
int	 cluster_int; 	/* the value of integer INT */
int	 cluster_flag;	/* the value of integer FLAG */

/*
 *  the value of integer (Optional integer)
 */
int	 rank_int; 	/* the value of integer INT */
int	 rank_flag;	/* the value of integer FLAG */

/*
 *  the value of float (Optional float)
 */
float	 sigma_float;	/* the value of float FLOAT */
int	 sigma_flag;   	/* the value of float FLAG */

/*
 *  the value of float (Optional float)
 */
float	 threshold_float;	/* the value of float FLOAT */
int	 threshold_flag;   	/* the value of float FLAG */

/*
 *  the value of integer (Optional integer)
 */
int	 iter_int; 	/* the value of integer INT */
int	 iter_flag;	/* the value of integer FLAG */

/*
 *  the value of float (Optional float)
 */
float	 lo_float;	/* the value of float FLOAT */
int	 lo_flag;   	/* the value of float FLAG */

/*
 *  the value of float (Optional float)
 */
float	 hi_float;	/* the value of float FLOAT */
int	 hi_flag;   	/* the value of float FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 raw_logic;	/* selects one or zero LOGIC */
int	 raw_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 thorough_logic;	/* selects one or zero LOGIC */
int	 thorough_flag;  	/* selects one or zero FLAG */

}  prune_struct;

prune_struct *prune;

/* -include_additions */
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
