 /*
  * Khoros: $Id$
  */

 /*
  * $Log$
  */

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1992, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as to the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including, for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1992 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: voro.h
 >>>>            Author: 
 >>>> Date Last Updated: Wed Apr 13 10:17:03 1994
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _voro_h_
#define _voro_h_

#include "vinclude.h"


/* -include_includes */
#include <stdio.h>
#include "Sy_Skeleton.h"
#include "Sy_Graphics.h"
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program;	/* a pointer to the program name argv[0] */
int	ac;

/****************************************************************
*
*                    voro Argument Structure
*
****************************************************************/

typedef struct _voro  {

/*
 *  input file of raster crack data (Required infile)
 */
char	*i2_file;	/* input file of raster crack data FILENAME */
int	 i2_flag;	/* input file of raster crack data FLAG */

/*
 *  input image or file (Optional infile)
 */
char	*i1_file;	/* input image or file FILENAME */
int	 i1_flag;	/* input image or file FLAG */

/*
 *  resulting output image or file (Optional outfile)
 */
char	*o1_file;	/* resulting output image or file FILENAME */
int	 o1_flag;	/* resulting output image or file FLAG */

/*
 *  resulting output Voronoi file (Optional outfile)
 */
char	*o2_file;	/* resulting output Voronoi file FILENAME */
int	 o2_flag;	/* resulting output Voronoi file FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 timer_logic;	/* selects one or zero LOGIC */
int	 timer_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 verbose_logic;	/* selects one or zero LOGIC */
int	 verbose_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 ascii_logic;	/* selects one or zero LOGIC */
int	 ascii_flag;  	/* selects one or zero FLAG */

}  voro_struct;

voro_struct *voro;

/* -include_additions */
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
