# include "stdio.h"
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

/*
 *  $Id$
 * 
 *  Author: Robert L. Ogniewicz, Division of Applied Sciences,
 *          Harvard University, Cambridge, Massachusetts (rlo@hrl.harvard.edu)
 */

/* Copyright Notice
 * ================
 * Copyright (C) 1995 by Robert L. Ogniewicz
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  
 */

 /* lex lexical rules for I/O routines */

#include "Sy_Lang.h"

/* #define DEBUG 1 */

#ifdef DEBUG
#define lexprintf(str) printf ("%s: %s\n", str, yytext) 
#else   
#define lexprintf(str) 
#endif
#define lexreturn(token) if (!is_comment) return(token)
int is_comment = 0, is_comment_par = 0;


void lexdata_f() {
  printf ("data: %s\n", yytext); 
}

#ifdef DEBUG
#define lexdata() lexdata_f()
#else
#define lexdata() 
#endif

# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
         { if (is_data) lexdata(); }
break;
case 2:
 { if (is_data) lexdata(); else {
                  lexprintf ("begin load"); strcpy(tmp_str, yytext); 
		  yylval.ival = BEGINLOADSEQ; lexreturn (BEGINLOADSEQ); }}
break;
case 3:
   { lexprintf ("end load"); is_data = 0; }
break;
case 4:
{ if (is_data) lexdata(); else {
                  lexprintf ("int"); sscanf(yytext, "%d", &tmp_int); 
		  yylval.ival = tmp_int; lexreturn(INTEGER); } }
break;
case 5:
   	{ if (is_data) lexdata(); else {
                  lexprintf ("real"); sscanf(yytext, "%f", &tmp_float); 
		  yylval.fval = tmp_float; lexreturn (REAL); } }
break;
case 6:
         { if (is_data) lexdata(); else {
                  lexprintf ("key");  strcpy(tmp_str, yytext);
		  yylval.ival = OBJECT; lexreturn (OBJECT); } }
break;
case 7:
         { if (is_data) lexdata(); else {
                  yylval.ival = MEMORY; lexreturn (MEMORY); } }
break;
case 8:
          { if (is_data) lexdata(); else {
                  yylval.ival = SHMEM; lexreturn (SHMEM); } }
break;
case 9:
           { if (is_data) lexdata(); else {
                  yylval.ival = FILEIO; lexreturn (FILEIO); } }
break;
case 10:
        { if (is_data) lexdata(); else {
                  lexprintf ("ident"); strcpy(tmp_str, yytext);
		  strcpy(yylval.strval, yytext); lexreturn (IDENT); } }
break;
case 11:
          { if (is_data) lexdata(); else { 
                  lexprintf ("hex"); sscanf(yytext, "%i", &tmp_int);
		  yylval.ival = tmp_int; lexreturn (HEX); } }
break;
case 12:
       { if (is_data) lexdata(); else {
                  lexprintf ("assign"); strcpy(tmp_str, yytext); 
		  yylval.ival = ASSIGN; lexreturn (ASSIGN); } }
break;
case 13:
        { if (is_data) lexdata(); else {
                  lexprintf ("term"); strcpy(tmp_str, yytext); 
		  yylval.ival = ATERM; lexreturn (ATERM); } }
break;
case 14:
         { if (is_data) lexdata(); else {
                  lexprintf ("stop"); strcpy(tmp_str, yytext); 
		  yylval.ival = STOP; lexreturn (STOP); } }
break;
case 15:
  { if (!is_data) is_comment = 1; }
break;
case 16:
      { if (!is_comment_par && !is_data) is_comment = 0; }
break;
case 17:
 { if (!is_data) {is_comment_par = 1; is_comment = 1; } }
break;
case 18:
   { if (!is_data) {is_comment_par = 0; is_comment = 0; } }
break;
case 19:
       { if (is_data) lexdata(); else {
                  lexprintf ("string"); strcpy(tmp_str, yytext);
		  strcpy(yylval.strval, yytext); lexreturn (STRING); } }
break;
case 20:
       { if (is_data) lexdata(); else { 
                  lexprintf ("symbol"); strcpy(tmp_str, yytext);
		  yylval.chval = yytext[0]; lexreturn (yytext[0]); } }
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */
int yyvstop[] = {
0,

20,
0,

1,
0,

16,
0,

20,
0,

20,
0,

20,
0,

20,
0,

20,
0,

4,
11,
0,

4,
11,
0,

13,
20,
0,

12,
20,
0,

10,
11,
0,

10,
0,

10,
11,
0,

10,
11,
0,

10,
11,
0,

10,
0,

10,
0,

10,
0,

19,
0,

18,
0,

4,
0,

5,
0,

17,
0,

15,
0,

5,
0,

11,
0,

11,
0,

10,
11,
0,

10,
0,

10,
0,

10,
0,

10,
0,

10,
0,

5,
11,
0,

10,
0,

10,
0,

10,
0,

10,
0,

10,
0,

10,
0,

5,
0,

5,
0,

5,
0,

10,
0,

14,
0,

10,
0,

9,
10,
0,

10,
0,

10,
0,

10,
0,

10,
0,

10,
0,

10,
0,

10,
0,

8,
10,
0,

10,
0,

10,
0,

7,
10,
0,

6,
10,
0,

10,
0,

10,
0,

10,
0,

10,
0,

10,
0,

10,
0,

10,
0,

10,
0,

10,
0,

3,
0,

2,
10,
0,
0};
# define YYTYPE char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,4,	1,5,	
0,0,	4,4,	0,0,	81,81,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	1,4,	0,0,	1,6,	
4,4,	81,81,	0,0,	0,0,	
0,0,	0,0,	0,0,	1,7,	
1,8,	0,0,	0,0,	1,9,	
1,10,	1,11,	1,12,	1,12,	
1,12,	1,12,	1,12,	1,12,	
1,12,	1,12,	1,12,	7,25,	
1,13,	0,0,	1,14,	10,28,	
81,82,	0,0,	1,15,	0,0,	
10,29,	1,15,	2,7,	0,0,	
1,16,	0,0,	2,9,	2,10,	
0,0,	2,12,	2,12,	2,12,	
2,12,	2,12,	2,12,	2,12,	
2,12,	2,12,	6,23,	2,13,	
0,0,	2,14,	0,0,	0,0,	
27,41,	27,41,	6,23,	6,23,	
1,3,	0,0,	0,0,	1,17,	
26,30,	0,0,	1,18,	1,19,	
0,0,	17,34,	0,0,	34,45,	
0,0,	19,36,	1,20,	0,0,	
1,21,	0,0,	18,35,	0,0,	
1,22,	6,23,	0,0,	6,24,	
0,0,	0,0,	26,40,	26,40,	
27,41,	27,41,	2,17,	0,0,	
6,23,	2,18,	2,19,	0,0,	
0,0,	6,23,	0,0,	0,0,	
0,0,	2,20,	0,0,	2,21,	
0,0,	0,0,	0,0,	2,22,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	6,23,	0,0,	
0,0,	6,23,	26,40,	26,40,	
6,23,	8,26,	8,26,	8,26,	
8,26,	8,26,	8,26,	8,26,	
8,26,	8,26,	8,26,	9,27,	
9,27,	9,27,	9,27,	9,27,	
9,27,	9,27,	9,27,	9,27,	
9,27,	0,0,	0,0,	11,30,	
6,23,	11,12,	11,12,	11,12,	
11,12,	11,12,	11,12,	11,12,	
11,12,	11,12,	11,12,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	11,31,	11,31,	
11,31,	11,32,	11,32,	11,31,	
12,30,	0,0,	12,12,	12,12,	
12,12,	12,12,	12,12,	12,12,	
12,12,	12,12,	12,12,	12,12,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	12,31,	
12,31,	12,31,	12,32,	12,32,	
12,31,	0,0,	11,31,	11,31,	
11,31,	11,32,	11,32,	11,31,	
32,43,	0,0,	32,43,	0,0,	
0,0,	32,44,	32,44,	32,44,	
32,44,	32,44,	32,44,	32,44,	
32,44,	32,44,	32,44,	0,0,	
0,0,	11,33,	0,0,	12,31,	
12,31,	12,31,	12,32,	12,32,	
12,31,	15,15,	15,15,	15,15,	
15,15,	15,15,	15,15,	15,15,	
15,15,	15,15,	15,15,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	15,15,	15,15,	
15,15,	15,15,	15,15,	15,15,	
15,16,	15,16,	15,16,	15,16,	
15,16,	15,16,	15,16,	15,16,	
15,16,	15,16,	15,16,	15,16,	
15,16,	15,16,	15,16,	15,16,	
15,16,	15,16,	15,16,	15,16,	
0,0,	0,0,	0,0,	0,0,	
15,16,	0,0,	15,15,	15,15,	
15,15,	15,15,	15,15,	15,15,	
15,16,	15,16,	15,16,	15,16,	
15,16,	15,16,	15,16,	15,16,	
15,16,	15,16,	15,16,	15,16,	
15,16,	15,16,	15,16,	15,16,	
15,16,	15,16,	15,16,	15,16,	
16,16,	16,16,	16,16,	16,16,	
16,16,	16,16,	16,16,	16,16,	
16,16,	16,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	16,16,	16,16,	16,16,	
16,16,	16,16,	16,16,	20,16,	
20,16,	20,16,	20,16,	20,16,	
20,16,	20,16,	20,16,	20,16,	
20,16,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
20,16,	20,16,	20,16,	20,16,	
20,16,	20,16,	0,0,	0,0,	
0,0,	16,16,	16,16,	16,16,	
16,16,	16,16,	16,16,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	21,16,	21,16,	21,16,	
21,16,	21,16,	21,16,	21,16,	
21,16,	21,16,	21,16,	0,0,	
20,16,	20,16,	20,16,	20,16,	
20,37,	20,16,	21,16,	21,16,	
21,16,	21,16,	21,16,	21,16,	
22,16,	22,16,	22,16,	22,16,	
22,16,	22,16,	22,16,	22,16,	
22,16,	22,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	22,16,	22,16,	22,16,	
22,16,	22,16,	22,16,	0,0,	
0,0,	0,0,	21,16,	21,38,	
21,16,	21,16,	21,16,	21,16,	
0,0,	0,0,	0,0,	0,0,	
0,0,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	0,0,	
0,0,	22,16,	22,16,	22,16,	
22,16,	22,16,	22,16,	0,0,	
22,39,	30,42,	30,42,	31,31,	
31,31,	31,31,	31,31,	31,31,	
31,31,	31,31,	31,31,	31,31,	
31,31,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
31,31,	31,31,	31,31,	31,31,	
31,31,	31,31,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	30,42,	30,42,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	35,16,	35,16,	35,16,	
35,16,	35,16,	35,16,	35,16,	
35,16,	35,16,	35,16,	0,0,	
31,31,	31,31,	31,31,	31,31,	
31,31,	31,31,	35,16,	35,16,	
35,16,	35,16,	35,16,	35,16,	
36,16,	36,16,	36,16,	36,16,	
36,16,	36,16,	36,16,	36,16,	
36,16,	36,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	36,16,	36,16,	36,16,	
36,16,	36,16,	36,16,	0,0,	
0,0,	0,0,	35,16,	35,16,	
35,16,	35,46,	35,16,	35,16,	
40,43,	0,0,	40,43,	0,0,	
0,0,	40,51,	40,51,	40,51,	
40,51,	40,51,	40,51,	40,51,	
40,51,	40,51,	40,51,	0,0,	
0,0,	36,16,	36,16,	36,16,	
36,16,	36,16,	36,16,	0,0,	
0,0,	0,0,	0,0,	0,0,	
36,47,	37,16,	37,16,	37,16,	
37,16,	37,16,	37,16,	37,16,	
37,16,	37,16,	37,16,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	37,16,	37,16,	
37,16,	37,16,	37,16,	37,16,	
38,16,	38,16,	38,16,	38,16,	
38,16,	38,16,	38,16,	38,16,	
38,16,	38,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	38,16,	38,16,	38,16,	
38,16,	38,16,	38,16,	0,0,	
0,0,	0,0,	37,16,	37,16,	
37,16,	37,16,	37,16,	37,16,	
0,0,	0,0,	41,52,	0,0,	
41,52,	0,0,	37,48,	41,53,	
41,53,	41,53,	41,53,	41,53,	
41,53,	41,53,	41,53,	41,53,	
41,53,	38,16,	38,16,	38,16,	
38,16,	38,16,	38,16,	0,0,	
0,0,	0,0,	38,49,	39,16,	
39,16,	39,16,	39,16,	39,16,	
39,16,	39,16,	39,16,	39,16,	
39,16,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
39,16,	39,16,	39,16,	39,16,	
39,16,	39,16,	42,54,	0,0,	
42,54,	0,0,	0,0,	42,55,	
42,55,	42,55,	42,55,	42,55,	
42,55,	42,55,	42,55,	42,55,	
42,55,	43,51,	43,51,	43,51,	
43,51,	43,51,	43,51,	43,51,	
43,51,	43,51,	43,51,	0,0,	
39,16,	39,16,	39,16,	39,16,	
39,16,	39,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
39,50,	44,44,	44,44,	44,44,	
44,44,	44,44,	44,44,	44,44,	
44,44,	44,44,	44,44,	45,16,	
45,16,	45,16,	45,16,	45,16,	
45,16,	45,16,	45,16,	45,16,	
45,16,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
45,16,	45,16,	45,16,	45,16,	
45,16,	45,16,	46,57,	0,0,	
46,16,	46,16,	46,16,	46,16,	
46,16,	46,16,	46,16,	46,16,	
46,16,	46,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	46,16,	46,16,	46,16,	
46,16,	46,16,	46,16,	0,0,	
45,16,	45,16,	45,16,	45,16,	
45,16,	45,16,	0,0,	0,0,	
45,56,	52,53,	52,53,	52,53,	
52,53,	52,53,	52,53,	52,53,	
52,53,	52,53,	52,53,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	46,16,	46,16,	46,16,	
46,16,	46,16,	46,16,	0,0,	
0,0,	0,0,	0,0,	0,0,	
46,58,	47,16,	47,16,	47,16,	
47,16,	47,16,	47,16,	47,16,	
47,16,	47,16,	47,16,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	47,16,	47,16,	
47,16,	47,16,	47,16,	47,16,	
48,16,	48,16,	48,16,	48,16,	
48,16,	48,16,	48,16,	48,16,	
48,16,	48,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	48,16,	48,16,	48,16,	
48,16,	48,16,	48,16,	0,0,	
0,0,	0,0,	47,16,	47,16,	
47,16,	47,16,	47,59,	47,16,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	49,16,	49,16,	
49,16,	49,16,	49,16,	49,16,	
49,16,	49,16,	49,16,	49,16,	
0,0,	48,16,	48,16,	48,16,	
48,16,	48,16,	48,16,	49,16,	
49,16,	49,16,	49,16,	49,16,	
49,16,	0,0,	0,0,	48,60,	
50,16,	50,16,	50,16,	50,16,	
50,16,	50,16,	50,16,	50,16,	
50,16,	50,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	50,16,	50,16,	50,16,	
50,16,	50,16,	50,16,	49,16,	
49,16,	49,16,	49,16,	49,61,	
49,16,	54,55,	54,55,	54,55,	
54,55,	54,55,	54,55,	54,55,	
54,55,	54,55,	54,55,	56,16,	
56,16,	56,16,	56,16,	56,16,	
56,16,	56,16,	56,16,	56,16,	
56,16,	50,16,	50,16,	50,16,	
50,16,	50,62,	50,16,	0,0,	
56,16,	56,16,	56,16,	56,16,	
56,16,	56,16,	58,16,	58,16,	
58,16,	58,16,	58,16,	58,16,	
58,16,	58,16,	58,16,	58,16,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	58,16,	
58,16,	58,16,	58,16,	58,16,	
58,16,	0,0,	0,0,	0,0,	
56,16,	56,16,	56,16,	56,16,	
56,16,	56,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	56,63,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	58,16,	
58,16,	58,16,	58,16,	58,16,	
58,16,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	58,64,	59,16,	59,16,	
59,16,	59,16,	59,16,	59,16,	
59,16,	59,16,	59,16,	59,16,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	59,16,	
59,16,	59,16,	59,16,	59,16,	
59,16,	60,16,	60,16,	60,16,	
60,16,	60,16,	60,16,	60,16,	
60,16,	60,16,	60,16,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	60,16,	60,16,	
60,16,	60,16,	60,16,	60,16,	
0,0,	0,0,	0,0,	59,16,	
59,16,	59,16,	59,16,	59,16,	
59,16,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	61,16,	
61,16,	61,16,	61,16,	61,16,	
61,16,	61,16,	61,16,	61,16,	
61,16,	0,0,	60,16,	60,16,	
60,16,	60,16,	60,16,	60,16,	
61,16,	61,16,	61,16,	61,16,	
61,16,	61,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	60,65,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	62,16,	62,16,	62,16,	
62,16,	62,16,	62,16,	62,16,	
62,16,	62,16,	62,16,	0,0,	
61,16,	61,16,	61,66,	61,16,	
61,16,	61,16,	62,16,	62,16,	
62,16,	62,16,	62,16,	62,16,	
63,16,	63,16,	63,16,	63,16,	
63,16,	63,16,	63,16,	63,16,	
63,16,	63,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	63,16,	63,16,	63,16,	
63,16,	63,16,	63,16,	0,0,	
0,0,	0,0,	62,16,	62,16,	
62,16,	62,16,	62,16,	62,16,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	62,67,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	63,16,	63,16,	63,16,	
63,16,	63,16,	63,16,	0,0,	
0,0,	0,0,	0,0,	0,0,	
63,68,	64,16,	64,16,	64,16,	
64,16,	64,16,	64,16,	64,16,	
64,16,	64,16,	64,16,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	64,16,	64,16,	
64,16,	64,16,	64,16,	64,16,	
65,16,	65,16,	65,16,	65,16,	
65,16,	65,16,	65,16,	65,16,	
65,16,	65,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	65,16,	65,16,	65,16,	
65,16,	65,16,	65,16,	0,0,	
0,0,	0,0,	64,69,	64,16,	
64,16,	64,16,	64,16,	64,16,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	66,16,	66,16,	
66,16,	66,16,	66,16,	66,16,	
66,16,	66,16,	66,16,	66,16,	
0,0,	65,16,	65,16,	65,16,	
65,16,	65,16,	65,16,	66,16,	
66,16,	66,16,	66,16,	66,16,	
66,16,	67,16,	67,16,	67,16,	
67,16,	67,16,	67,16,	67,16,	
67,16,	67,16,	67,16,	0,0,	
0,0,	65,70,	0,0,	0,0,	
0,0,	0,0,	67,16,	67,16,	
67,16,	67,16,	67,16,	67,16,	
0,0,	0,0,	0,0,	66,16,	
66,16,	66,16,	66,16,	66,16,	
66,16,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	66,71,	0,0,	
0,0,	0,0,	67,16,	67,16,	
67,16,	67,16,	67,16,	67,16,	
68,16,	68,16,	68,16,	68,16,	
68,16,	68,16,	68,16,	68,16,	
68,16,	68,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	68,16,	68,16,	68,16,	
68,16,	68,16,	68,16,	69,16,	
69,16,	69,16,	69,16,	69,16,	
69,16,	69,16,	69,16,	69,16,	
69,16,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
69,16,	69,16,	69,16,	69,16,	
69,16,	69,16,	0,0,	0,0,	
0,0,	68,16,	68,16,	68,16,	
68,16,	68,16,	68,16,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	68,72,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
69,16,	69,16,	69,16,	69,73,	
69,16,	69,16,	70,16,	70,16,	
70,16,	70,16,	70,16,	70,16,	
70,16,	70,16,	70,16,	70,16,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	70,16,	
70,16,	70,16,	70,16,	70,16,	
70,16,	71,16,	71,16,	71,16,	
71,16,	71,16,	71,16,	71,16,	
71,16,	71,16,	71,16,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	71,16,	71,16,	
71,16,	71,16,	71,16,	71,16,	
0,0,	0,0,	0,0,	70,16,	
70,16,	70,16,	70,16,	70,16,	
70,16,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	72,16,	
72,16,	72,16,	72,16,	72,16,	
72,16,	72,16,	72,16,	72,16,	
72,16,	0,0,	71,16,	71,16,	
71,16,	71,16,	71,16,	71,16,	
72,16,	72,16,	72,16,	72,16,	
72,16,	72,16,	73,16,	73,16,	
73,16,	73,16,	73,16,	73,16,	
73,16,	73,16,	73,16,	73,16,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	73,16,	
73,16,	73,16,	73,16,	73,16,	
73,16,	0,0,	0,0,	0,0,	
72,74,	72,16,	72,16,	72,16,	
72,16,	72,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
74,16,	74,16,	74,16,	74,16,	
74,16,	74,16,	74,16,	74,16,	
74,16,	74,16,	0,0,	73,16,	
73,16,	73,16,	73,16,	73,16,	
73,16,	74,16,	74,16,	74,16,	
74,16,	74,16,	74,16,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	73,75,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	75,16,	75,16,	
75,16,	75,16,	75,16,	75,16,	
75,16,	75,16,	75,16,	75,16,	
0,0,	74,16,	74,16,	74,16,	
74,76,	74,16,	74,16,	75,16,	
75,16,	75,16,	75,16,	75,16,	
75,16,	76,16,	76,16,	76,16,	
76,16,	76,16,	76,16,	76,16,	
76,16,	76,16,	76,16,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	76,16,	76,16,	
76,16,	76,16,	76,16,	76,16,	
0,0,	0,0,	0,0,	75,16,	
75,16,	75,16,	75,16,	75,77,	
75,16,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	77,16,	
77,16,	77,16,	77,16,	77,16,	
77,16,	77,16,	77,16,	77,16,	
77,16,	0,0,	76,16,	76,16,	
76,16,	76,16,	76,16,	76,16,	
77,16,	77,16,	77,16,	77,16,	
77,16,	77,16,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
76,78,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	78,16,	78,16,	78,16,	
78,16,	78,16,	78,16,	78,16,	
78,16,	78,16,	78,16,	0,0,	
77,16,	77,16,	77,16,	77,16,	
77,16,	77,16,	78,16,	78,16,	
78,16,	78,16,	78,16,	78,16,	
79,81,	0,0,	0,0,	0,0,	
77,79,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	79,81,	0,0,	
0,0,	0,0,	78,16,	78,16,	
78,16,	78,16,	78,80,	78,16,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	79,16,	79,16,	
79,16,	79,16,	79,16,	79,16,	
79,16,	79,16,	79,16,	79,16,	
0,0,	79,82,	0,0,	0,0,	
0,0,	0,0,	0,0,	79,16,	
79,16,	79,16,	79,16,	79,16,	
79,16,	80,16,	80,16,	80,16,	
80,16,	80,16,	80,16,	80,16,	
80,16,	80,16,	80,16,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	80,16,	80,16,	
80,16,	80,16,	80,16,	80,16,	
0,0,	0,0,	0,0,	79,16,	
79,16,	79,16,	79,16,	79,16,	
79,16,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	83,16,	
83,16,	83,16,	83,16,	83,16,	
83,16,	83,16,	83,16,	83,16,	
83,16,	0,0,	80,16,	80,16,	
80,16,	80,16,	80,16,	80,16,	
83,16,	83,16,	83,16,	83,16,	
83,16,	83,16,	0,0,	0,0,	
0,0,	0,0,	80,83,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
83,16,	83,16,	83,16,	83,16,	
83,16,	83,16,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-28,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+4,	0,		yyvstop+3,
yycrank+0,	0,		yyvstop+5,
yycrank+-85,	0,		yyvstop+7,
yycrank+12,	0,		yyvstop+9,
yycrank+109,	0,		yyvstop+11,
yycrank+119,	0,		yyvstop+13,
yycrank+21,	0,		yyvstop+15,
yycrank+133,	0,		yyvstop+17,
yycrank+158,	0,		yyvstop+20,
yycrank+0,	0,		yyvstop+23,
yycrank+0,	0,		yyvstop+26,
yycrank+213,	0,		yyvstop+29,
yycrank+288,	yysvec+15,	yyvstop+32,
yycrank+4,	yysvec+15,	yyvstop+34,
yycrank+4,	yysvec+15,	yyvstop+37,
yycrank+4,	yysvec+15,	yyvstop+40,
yycrank+311,	yysvec+15,	yyvstop+43,
yycrank+349,	yysvec+15,	yyvstop+45,
yycrank+372,	yysvec+15,	yyvstop+47,
yycrank+0,	yysvec+6,	0,	
yycrank+0,	0,		yyvstop+49,
yycrank+0,	0,		yyvstop+51,
yycrank+54,	yysvec+8,	yyvstop+53,
yycrank+24,	yysvec+9,	yyvstop+55,
yycrank+0,	0,		yyvstop+57,
yycrank+0,	0,		yyvstop+59,
yycrank+409,	0,		yyvstop+61,
yycrank+431,	0,		yyvstop+63,
yycrank+193,	yysvec+31,	yyvstop+65,
yycrank+0,	yysvec+31,	0,	
yycrank+4,	yysvec+15,	yyvstop+67,
yycrank+469,	yysvec+15,	yyvstop+70,
yycrank+492,	yysvec+15,	yyvstop+72,
yycrank+553,	yysvec+15,	yyvstop+74,
yycrank+576,	yysvec+15,	yyvstop+76,
yycrank+635,	yysvec+15,	yyvstop+78,
yycrank+529,	0,		0,	
yycrank+615,	0,		0,	
yycrank+663,	0,		0,	
yycrank+673,	0,		0,	
yycrank+697,	yysvec+31,	yyvstop+80,
yycrank+707,	yysvec+15,	yyvstop+83,
yycrank+732,	yysvec+15,	yyvstop+85,
yycrank+793,	yysvec+15,	yyvstop+87,
yycrank+816,	yysvec+15,	yyvstop+89,
yycrank+854,	yysvec+15,	yyvstop+91,
yycrank+880,	yysvec+15,	yyvstop+93,
yycrank+0,	yysvec+43,	yyvstop+95,
yycrank+765,	0,		0,	
yycrank+0,	yysvec+52,	yyvstop+97,
yycrank+909,	0,		0,	
yycrank+0,	yysvec+54,	yyvstop+99,
yycrank+919,	yysvec+15,	yyvstop+101,
yycrank+0,	0,		yyvstop+103,
yycrank+942,	yysvec+15,	yyvstop+105,
yycrank+1006,	yysvec+15,	yyvstop+107,
yycrank+1029,	yysvec+15,	yyvstop+110,
yycrank+1067,	yysvec+15,	yyvstop+112,
yycrank+1105,	yysvec+15,	yyvstop+114,
yycrank+1128,	yysvec+15,	yyvstop+116,
yycrank+1189,	yysvec+15,	yyvstop+118,
yycrank+1212,	yysvec+15,	yyvstop+120,
yycrank+1250,	yysvec+15,	yyvstop+122,
yycrank+1273,	yysvec+15,	yyvstop+124,
yycrank+1328,	yysvec+15,	yyvstop+127,
yycrank+1351,	yysvec+15,	yyvstop+129,
yycrank+1406,	yysvec+15,	yyvstop+131,
yycrank+1429,	yysvec+15,	yyvstop+134,
yycrank+1467,	yysvec+15,	yyvstop+137,
yycrank+1490,	yysvec+15,	yyvstop+139,
yycrank+1528,	yysvec+15,	yyvstop+141,
yycrank+1566,	yysvec+15,	yyvstop+143,
yycrank+1589,	yysvec+15,	yyvstop+145,
yycrank+1627,	yysvec+15,	yyvstop+147,
yycrank+1665,	yysvec+15,	yyvstop+149,
yycrank+1726,	yysvec+15,	yyvstop+151,
yycrank+1749,	yysvec+15,	yyvstop+153,
yycrank+5,	0,		0,	
yycrank+0,	0,		yyvstop+155,
yycrank+1787,	yysvec+15,	yyvstop+157,
0,	0,	0};
struct yywork *yytop = yycrank+1889;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,011 ,012 ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
040 ,01  ,'"' ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,'+' ,01  ,'+' ,01  ,01  ,
'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,
'0' ,'0' ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,'A' ,'A' ,'A' ,'D' ,'D' ,'A' ,'G' ,
'G' ,'G' ,'G' ,'G' ,'G' ,'G' ,'G' ,'G' ,
'G' ,'G' ,'G' ,'G' ,'G' ,'G' ,'G' ,'G' ,
'G' ,'G' ,'G' ,01  ,01  ,01  ,01  ,'_' ,
01  ,'A' ,'A' ,'A' ,'D' ,'D' ,'A' ,'G' ,
'G' ,'G' ,'G' ,'G' ,'G' ,'G' ,'G' ,'G' ,
'G' ,'G' ,'G' ,'G' ,'G' ,'G' ,'G' ,'G' ,
'G' ,'G' ,'G' ,01  ,01  ,01  ,01  ,01  ,
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
#ifndef lint
static	char ncform_sccsid[] = "@(#)ncform 1.6 88/02/08 SMI"; /* from S5R2 1.2 */
#endif

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
yylook(){
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
yyback(p, m)
	int *p;
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
yyinput(){
	return(input());
	}
yyoutput(c)
  int c; {
	output(c);
	}
yyunput(c)
   int c; {
	unput(c);
	}
