.\" @(#)ctran.1 1.0 95/06/25
'\"macro stdmacro
.nr X
.TH ctran 1 "25 June 1995"
.\" Copyright 1995 Robert L. Ogniewicz
.SH NAME
ctran \- extraction of boundaries from binary image
.SH SYNOPSIS
.B ctran
[
.B options...
] 
.I inputimage  
[
.I -|outputfile
]
.SH DESCRIPTION
.IX "ctran command" "" "\fLctran\fP \(em boundary extraction"
The 
.I ctran
command extracts object boundaries from a binary image. The output
format is suitable for processing with 
.I voro,
in order to obtain the Voronoi tessellation of boundary points. Each
boundary is encoded as a polygonal chain, whose vertices are the
endpoints of `raster cracks', the elementary straight line segments
separating black and white pixels. A \- argument instead of
.I outputfile
means that output will be sent to stdout. If no 
.I outputfile
argument is specified, 
.I ctran
will display the extracted boundary in a window. 
.I ctran 
accepts many image types. See special section below for a list of
supported image formats.
.SH OPTIONS
.PD 1
Abbreviation of options listed below is allowed, as long as the
option string remains nonambiguous.
.TP
.B \-ascii
Create output in text (ASCII) form. Useful for increased portability between
different machine architectures. Default format consists of an 
ASCII header followed by binary data.
.TP
.B \-verbose
Produce some diagnostic output while running.
.TP    
.B \-timer
Output performance measurements such as number of points/s processed.
.TP
.B \-cleanup
Switch on (simple) postprocessing. All boundaries whose length is less then 
a factor 
.I p 
times the length of the longest boundary are discarded and
to not appear in the output. This option allows for removal of small holes
created by noise effects. Currently, 
.I p 
is set to 0.10.
.TP
.BI "\-clthreshold " p
Set cleanup threshold to
.I p.
.TP
.B  \-invert
Reverse black/white, i.e. foreground and background.
.TP
.B \-contourset
Output a more user-friendly contour description (also suitable
for manual editing, if in ASCII format), where each
contour is described separately by a chain of (x,y) coordinates.
See contours(5) for more details. 
.I voro
is capable of processing this representation, although at the expense
of a slightly increased processing time. The default output format
contains boundary points sorted according to x and y coordinates, which
is the optimal representation for
.I voro.
.TP
.BI "\-xcenter " x 
.PD 0
.TP 
.BI "\-ycenter " y
(x,y) coordinates of `focus of interest' for displaying the
extracted boundary.
.PD 1
.TP
.BI "\-scale "  s 
scale graphics output by factor s.
.TP
.BI "\-display " display_name
X11 display name to send the image to.
.SH SUPPORTED IMAGE FORMATS
Unless not restricted by specific 
compilation options during installation,
.I ctran
can support the following image formats (thank you, Jim Frost, and
all other contributors to the `xloadimage' package):

Sun Rasterfile,GIF Image, TIFF image, JFIF-style JPEG Image,
MacPaint Image, X Pixmap, X Bitmap, Portable Bit Map (PBM, PGM, PPM),
FBM Image, Utah RLE Image, X Window Dump,
Native Image File Format (NIFF), CMU WM Raster, Faces Project,
Sun Visualization File Format, VICAR Image, PC Paintbrush Image, 
GEM Bit Image.
.SH EXAMPLES
.LP
Extracting the contours from a TIFF image and writing output
to file contours.dat (ASCII format):
.IP
.B "ctran \-verbose image.tif contours.dat \-ascii"
.LP
Running 
.I ctran
within a unix pipe with 
.I voro, 
the Voronoi tessellation routine, and displaying the result on the screen:
.IP
.B "ctran image.tif - | voro \-verbose \- "
.SH SEE ALSO
.BR voro (1),
.BR prune (1),
.BR shosk (1),
.BR loadskset (1),
.BR contours (5),
.BR skeleton (5)
.SH AUTHOR
.nf
Robert L. Ogniewicz
E-Mail: rlo@hrl.harvard.edu
.fi

This work has been carried out at the
.I "Communication Technology Laboratory," 
Swiss Federal Institute of
Technology ETH, Zurich, Switzerland, and the
.I "Division of Applied Sciences," 
Harvard University, Cambridge, USA.
.SH COPYRIGHT
Copyright (C) 1995 Robert L. Ogniewicz 
.SH COPYRIGHT NOTE on XLOADIMAGE
Copyright (c) 1989, 1993 Jim Frost and others. See README file
of the xloadimage distribution for more information.
.SH BUGS
Undoubtedly many.
.SH LITERATURE
Some information on the boundary representation generated by
.I ctran
is available in 

Ogniewicz, R.L. (1993),
Discrete Voronoi Skeletons, Konstanz, Germany: Hartung-Gorre Verlag.
.LP
See also notes on the alternative (more user-friendly) description
in contours(5).
.\".Ee
