.\" @(#)shosk.1 1.0 95/06/25
'\"macro stdmacro
.nr X
.TH shosk 1 "25 June 1995"
.\" Copyright 1995 Robert L. Ogniewicz
.SH NAME
shosk \- simple visualization program for data structures such
as contour lists, Voronoi diagrams, skeletons...
.SH SYNOPSIS
.B shosk
[
.B options...
] 
.I -|inputfile  
.SH DESCRIPTION
.IX "shosk command" "" "\fLshosk\fP \(em visualization of data structures"
The 
.I shosk
command can be used for display (X Windows) 
of distinct data structures related to
Voronoi skeletons. 
.I Inputfile 
can be any output produced by commands
.I "ctran, voro,"
or 
.I prune. 
A \- argument instead of
.I inputfile
means that 
.I shosk
will read from standard input.
In addition, 
.I shosk
permits to convert most of these data structures into Postscript
which can be interpreted by 
.I idraw,
the InterViews drawing editor.
.SH OPTIONS
.PD 1
Abbreviation of options listed below is allowed, as long as the
option string remains nonambiguous.
.TP
.BI "\-threshold " T
Regularization threshold for skeletons. Display only edges of the Voronoi
diagram where significance measure (residual function) > 
.I T.
Default values depend on type of significance measure applied, typically
2...4. More information can be found in literature, see corresponding section.
.I Important:
The value of 
.I T 
must be manually set to 1.0 when visualizing output after automatic pruning.
.TP
.BI "\-rank " R
Display only section of the skeleton which belong to a hierarchical
level (skeleton-pyramid) higher or equal 
.I R.
.TP
.B "\-fg " 
Display foreground skeleton. 
.TP
.B "\-bg " 
Display skeleton of the background (exoskeleton).   
.TP
.B "\-idraw "
Generate Postscript for 
.I idraw. 
The result is sent to standard output (stdout).
.TP
.B \-raw
Do not draw object boundaries.
.TP
.BI "\-linewidth " L
Set width of lines drawn (X Windows) to 
.I L.
.TP
.B \-bold
Draw small disks instead of dots. Mostly for diagnostic purposes.
.TP
.B \-verbose
Produce some diagnostic output while running.
.TP
.BI "\-xcenter " x 
.PD 0
.TP 
.BI "\-ycenter " y
(x,y) coordinates of `focus of interest' for display.
.PD 1
.TP
.BI "\-xwindim " width 
.PD 0
.TP 
.BI "\-ywindim " height
Explicitly set x and y dimensions of display window.
.PD 1
.TP
.BI "\-scale "  s 
scale Voronoi diagram displayed by factor s.
.TP
.BI "\-display " display_name
X11 display name to send the image to.
.SH EXAMPLES
.LP
Displaying a skeleton (foreground) at threshold level 3.0 
stored in file skeleton.dat
.IP
.B "shosk -verbose -fg -threshold 3.0 skeleton.dat"
.LP
Converting skeleton data into idraw format (Basically a special
Postscript file. Consequently, it can be easily included into
documents):
.IP
.B "shosk -fg -threshold 3.0 -idraw skeleton.dat > skeleton.idraw"
.LP
.SH SEE ALSO
.BR ctran (1),
.BR voro (1),
.BR prune (1),
.BR loadskset (1),
.BR contours (5)
.SH AUTHOR
.nf
Robert L. Ogniewicz
E-Mail: rlo@hrl.harvard.edu
.fi

This work has been carried out at the
.I "Communication Technology Laboratory," 
Swiss Federal Institute of
Technology ETH, Zurich, Switzerland, and the
.I "Division of Applied Sciences," 
Harvard University, Cambridge, USA.
.SH COPYRIGHT
Copyright (C) 1995 Robert L. Ogniewicz 
.SH BUGS
The value of threshold (option -threshold)
.I T 
must be manually set to 1.0 when visualizing output after automatic pruning.

Some color could improve the visualization of complex skeletons.

Undoubtedly many more...
.SH LITERATURE
Information on Voronoi skeletons is available in the
following references:
.LP
Ogniewicz, R.L., "Skeleton-space: 
A multiscale shape description combining region and boundary information", 
in Proc. Conf. on Computer Vision and
Pattern Recognition, Seattle, WA, pp. 746-751, June 1994.
.LP
Ogniewicz, R.L. and Kuebler, O., "Hierarchic
Voronoi Skeletons", Pattern Recognition, vol. 28, no. 3, 
pp. 343-359, 1995.
.LP
Ogniewicz, R.L. and Ilg, M., 
"Voronoi skeletons: Theory and applications", in
Proc. Conf. on Computer Vision and Pattern Recognition, Champaign,
Illinois, pp. 63-69, June 1992.
.LP
Ogniewicz, R.L. (1993),
Discrete Voronoi Skeletons, Konstanz, Germany: Hartung-Gorre Verlag.
.LP
.\".Ee
