.\" @(#)voro.1 1.0 95/06/25
'\"macro stdmacro
.nr X
.TH voro 1 "25 June 1995"
.\" Copyright 1995 Robert L. Ogniewicz
.SH NAME
voro \- computes Voronoi diagram
.SH SYNOPSIS
.B voro 
[
.B options...
] 
.I -|inputfile  
[
.I -|outputfile
]
.SH DESCRIPTION
.IX "voro command" "" "\fLvoro\fP \(em computes Voronoi diagram"
The 
.I voro 
command computes the Voronoi tessellation (Euclidean metric) 
of a set of points (generators) in the plane. The 
.I
inputfile 
argument points to a file which was either created by ctran or which contains
the description of a set of contours (see contours(5)). Alternatively,
a \- (dash) argument denotes that I/O will be done using
stdin/stdout instead of files. If no 
.I outputfile
argument is specified, 
.I voro 
will display the Voronoi diagram in a window. 
.SH OPTIONS
.PD 1
Abbreviation of options listed below is allowed, as long as the
option string remains nonambiguous.
.TP
.B \-ascii
Create output in text (ASCII) form. Useful for increased portability between
different machine architectures. Default format consists of multiple
data strips, each strip composed of an ASCII header followed by 
binary data.
.TP
.B \-verbose
Produce some diagnostic output while running.
.TP    
.B \-timer
Output performance measurements such as number of generators/s processed.
.TP
.BI "\-xcenter " x 
.PD 0
.TP 
.BI "\-ycenter " y
(x,y) coordinates of `focus of interest' for graphics output
.PD 1
.TP
.BI "\-scale "  s 
scale graphics output by factor s.
.TP
.BI "\-display " display_name
X11 display name to send the image to.
.SH EXAMPLES
.LP
Computing the Voronoi diagram of contours stored in a file contours.dat and
writing the output back to a file voronoi.dat (ASCII format):
.IP
.B "voro contours.dat voronoi.dat \-ascii"
.LP
Running 
.I voro 
within a unix pipe with 
.I ctran, 
the boundary extraction program, and displaying the result on the screen:
.IP
.B "ctran imagefile - | voro \-verbose \- "
.SH SEE ALSO
.BR ctran (1),
.BR prune (1),
.BR shosk (1),
.BR loadskset (1),
.BR contours (5),
.BR skeleton (5)
.SH AUTHOR
.nf
Robert L. Ogniewicz
E-Mail: rlo@hrl.harvard.edu
.fi

This work has been carried out at the
.I "Communication Technology Laboratory," 
Swiss Federal Institute of
Technology ETH, Zurich, Switzerland, and the
.I "Division of Applied Sciences," 
Harvard University, Cambridge, USA.
.SH COPYRIGHT
Copyright (C) 1995 Robert L. Ogniewicz 
.SH BUGS
Undoubtedly many.
.SH LITERATURE
A description of implementation details and performance of the algorithm 
can be found in the following references:
.LP
Ogniewicz, R.L. and Kuebler, O. (1995),
Voronoi tessellation of points with integer coordinates:
Time-efficient implementation and online edge-list generation,
Pattern Recognition (in press).
.LP
Ogniewicz, R.L. (1993),
Discrete Voronoi Skeletons, Konstanz, Germany: Hartung-Gorre Verlag.
.\".Ee

