#ifndef _SOLEX_H
#define _SOLEX_H

#include <string.h>

#if defined (hpux)
#include <unistd.h>
#define HAS_GETHOSTNAME
#define HAS_USLEEP
#endif


/* macros */

#define index(s,c)  strchr(s,c)
#define rindex(s,c) strrchr(s,c)
#define bcopy(src,dst,len) memcpy(dst,src,len)
#define bzero(dest,len) memset((dest), (char)0, (len))

/* functions */

#ifndef HAS_USLEEP 
int usleep(unsigned int useconds);
#endif 

#ifndef HAS_GETRUSAGE
#include <sys/time.h>
struct	rusage {
	struct timeval ru_utime;	/* user time used */
	struct timeval ru_stime;	/* system time used */
	long	ru_maxrss;
#define	ru_first	ru_ixrss
	long	ru_ixrss;		/* XXX: 0 */
	long	ru_idrss;		/* XXX: sum of rm_asrss */
	long	ru_isrss;		/* XXX: 0 */
	long	ru_minflt;		/* any page faults not requiring I/O */
	long	ru_majflt;		/* any page faults requiring I/O */
	long	ru_nswap;		/* swaps */
	long	ru_inblock;		/* block input operations */
	long	ru_oublock;		/* block output operations */
	long	ru_msgsnd;		/* messages sent */
	long	ru_msgrcv;		/* messages received */
	long	ru_nsignals;		/* signals received */
	long	ru_nvcsw;		/* voluntary context switches */
	long	ru_nivcsw;		/* involuntary " */
#define	ru_last		ru_nivcsw
};

#ifndef RUSAGE_SELF
#define	RUSAGE_SELF	0
#define	RUSAGE_CHILDREN	-1
#endif

int getrusage(int who, struct rusage *rusage);
#endif

#ifndef HAS_SETLINEBUF
int setlinebuf(FILE *iop);
#endif

#ifndef HAS_GETHOSTID
long  gethostid();
#endif

#ifndef HAS_GETPAGESIZE
int getpagesize();
#endif

#ifndef HAS_GETDTABLESIZE
int getdtablesize();
#endif

#ifndef HAS_GETHOSTNAME
int gethostname(char *name, int namelen);
#endif

#endif _SOLEX_H






